UEP(4)

NAME
uep - eGalax touchscreen driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device uep
device usb

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uep_load="YES"

To compile this driver with evdev support enabled, place the following lines into the kernel configuration file:

options EVDEV_SUPPORT
device evdev

DESCRIPTION
The uep driver provides support for the eGalax onscreen touch panels.

The driver is a stub. It just probes and attaches to USB device, creates a device entry and feeds reassembled packets from the hardware to it. Depending on compile-time kernel options it supports either native or evdev operation modes.

To get the mouse working in X(7) in native mode, install ports/x11-drivers/xf86-input-egalax.

To get the mouse working in X(7) in evdev mode, install ports/x11-drivers/xf86-input-evdev.

FILES
uep creates a blocking pseudo-device file, /dev/uep0 in native mode or /dev/input/eventN in evdev mode.

SEE ALSO
usb(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), egalax(4) (ports/x11-drivers/xf86-input-egalax), evdev(4) (ports/x11-drivers/xf86-input-evdev).

AUTHORS
-nosplit The uep driver was written by Gleb Smirnoff <glebius@FreeBSD.org>.

BUGS
uep cannot act like sysmouse(4), as sysmouse(4) does not support absolute motion events.